<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <include
            android:id="@+id/actionbar"
            layout="@layout/activity_toolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/actionbar">

            <com.google.android.gms.maps.MapView
                android:id="@+id/mapView"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:orientation="vertical">

                <ImageView
                    android:id="@+id/marker"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginBottom="20dp"
                    android:background="@null"
                    android:src="@drawable/location_marker" />
            </LinearLayout>

        </RelativeLayout>

        <LinearLayout
            android:id="@+id/fablocation"
            android:layout_width="56dp"
            android:layout_height="56dp"
            android:layout_above="@+id/bottomLay"
            android:layout_alignParentEnd="true"
            android:layout_margin="25dp"
            android:background="@drawable/fab_whitebg"
            android:elevation="5dp"
            android:gravity="center">

            <ImageView
                android:id="@+id/my_location"
                android:layout_width="42dp"
                android:layout_height="42dp"
                android:layout_gravity="center"
                android:padding="5dp"
                android:src="@drawable/current_location" />
        </LinearLayout>

        <RelativeLayout
            android:id="@+id/bottomLay"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="15dp"
            android:layout_marginBottom="15dp">

            <com.topzi.chat.View.RegularTextView
                android:id="@+id/liveLocation"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_above="@+id/apply"
                android:layout_marginBottom="7dp"
                android:background="@drawable/curved_gradient"
                android:gravity="center"
                android:padding="10dp"
                android:singleLine="true"
                android:text="@string/shareLive"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_large" />

            <com.topzi.chat.View.RegularTextView
                android:id="@+id/apply"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:background="@drawable/curved_gradient"
                android:gravity="center"
                android:padding="10dp"
                android:singleLine="true"
                android:text="@string/share"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_large" />
        </RelativeLayout>

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/ll_liveLocation"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/wallpaper"
        android:orientation="vertical"
        android:weightSum="3.0"
        app:behavior_hideable="true"
        app:behavior_peekHeight="0dp"
        android:paddingTop="10dp"
        android:paddingLeft="15dp"
        android:paddingEnd="15dp"
        app:layout_behavior="com.google.android.material.bottomsheet.BottomSheetBehavior">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1.0"
            android:gravity="start"
            android:textColor="@color/black"
            android:text="@string/shareLive"
            android:layout_marginBottom="15dp"
            android:textSize="20dp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_gallary"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1.0"
                android:gravity="center"
                android:paddingTop="10dp"
                android:paddingBottom="10dp"
                android:textColor="@color/white"
                android:background="@drawable/gradient"
                android:layout_marginRight="10dp"
                android:text="@string/min_15"
                android:textSize="15dp" />

            <TextView
                android:id="@+id/tv_solid_color"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1.0"
                android:gravity="center"
                android:paddingTop="10dp"
                android:paddingBottom="10dp"
                android:textColor="@color/black"
                android:layout_marginRight="10dp"
                android:text="@string/hr_1"
                android:textSize="15dp" />

            <TextView
                android:id="@+id/tv_wallpaper"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1.0"
                android:gravity="center"
                android:paddingTop="10dp"
                android:paddingBottom="10dp"
                android:textColor="@color/black"
                android:layout_marginRight="10dp"
                android:text="@string/hr_8"
                android:textSize="15dp" />

        </LinearLayout>

        <RelativeLayout
            android:id="@+id/btnSend"
            android:layout_width="56dp"
            android:layout_height="56dp"
            android:layout_alignParentBottom="true"
            android:layout_alignParentEnd="true"
            android:layout_gravity="bottom|end"
            android:layout_margin="25dp"
            android:background="@drawable/fablay_bg"
            android:elevation="5dp"
            android:gravity="center">

            <ImageView
                android:id="@+id/senLiveLocation"
                android:layout_width="35dp"
                android:layout_height="35dp"
                android:layout_centerInParent="true"
                android:padding="5dp"
                android:visibility="visible"
                android:src="@drawable/floating_right_arrow"
                app:tint="@color/white" />

        </RelativeLayout>

    </LinearLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>